Loading...
Searching...
No Matches
snd_tplg_mixer_template Struct Reference
Topology Interface

Template type for mixer control objects. More...

`#include <topology.h>`

## Data Fields

struct snd_tplg_ctl_template | hdr
struct snd_tplg_channel_map_template * | map
int | min
int | max
int | platform_max
int | invert
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for mixer control objects.

## Field Documentation

## hdr

struct snd_tplg_ctl_template snd_tplg_mixer_template::hdr

control type header

## invert

int snd_tplg_mixer_template::invert

whether controls bits are inverted

## map

struct snd_tplg_channel_map_template* snd_tplg_mixer_template::map

channel map

## max

int snd_tplg_mixer_template::max

max value for mixer

## min

int snd_tplg_mixer_template::min

min value for mixer

## platform_max

int snd_tplg_mixer_template::platform_max

max value for platform control

## priv

struct snd_soc_tplg_private* snd_tplg_mixer_template::priv

control private data

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h